# OnPayRuClient

OnPayRuClient is a gem that provides an interface for onpay.ru API.

## Usage

```ruby
require 'onpayruclient'

onpayru = OnPayRuClient::Client.new('username', 'key', 'api_url')
onpayru.get_url('payment_id', 'payment_amount', 'user_email', 'success_url', 'fail_url')
onpayru.check_md5('check', 'payment_id', 'payment_amount', 'RUR')
onpayru.check('check', 'payment_id', 'payment_amount', 'RUR', 0)
onpayru.pay_md5('pay', 'payment_id', 'onpay_id', 'payment_amount', 'RUR')
```

## Installation

    gem install onpayruclient

## Changelog

    0.1.0 - Refactor client and add tests
